# Class JSOFA.FWPrecessionAngles

java.lang.Object
org.jastronomy.jsofa.JSOFA.FWPrecessionAngles

Enclosing class:
  `JSOFA`

public static class JSOFA.FWPrecessionAngles extends Object
Precession angles, IAU 2006 (Fukushima-Williams 4-angle formulation).

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 1 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`epsa`
F-W angle epsilon_A (radians)
`double`
`gamb`
F-W angle gamma_bar (radians)
`double`
`phib`
F-W angle phi_bar (radians)
`double`
`psib`
F-W angle psi_bar (radians)

## Constructor Summary

Constructors
Constructor
Description
`FWPrecessionAngles(double gamb, double phib, double psib, double epsa)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### gamb

public double gamb
F-W angle gamma_bar (radians)

### phib

public double phib
F-W angle phi_bar (radians)

### psib

public double psib
F-W angle psi_bar (radians)

### epsa

public double epsa
F-W angle epsilon_A (radians)

## Constructor Details

### FWPrecessionAngles

public FWPrecessionAngles(double gamb, double phib, double psib, double epsa)